Array[Brep] How do i get the Brep?

As the topic mentioned i have no Idea what a Array[Brep] is and how it can be converted to a brep object.

If a

Rhino.Geometry.Brep.CreatePlanarBreps

is created the result is Array[Brep] but in my case its only a single flat surface. No brep methods seams to work.

Some Tips how to work with this kind of object would be great.

What scripting language do you use? An Array is basically a collection of things - in your case Breps - so you can check the length of your array and get the items out.

In Python it would go along the lines of:

myBreps = Rhino.Geometry.Brep.CreatePlanarBreps
if myBreps.Length == 1:
    myPlanarSingleBrep = myBreps[0]
#use methods on myPlanarSingleBrep
1 Like

Thanks for your help.

I have no idea why this didnt wotk befor.


now everything works